Get account and pharmacies
curl --request GET \
--url https://gojoe.de/api/pharm/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://gojoe.de/api/pharm/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gojoe.de/api/pharm/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://gojoe.de/api/pharm/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gojoe.de/api/pharm/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gojoe.de/api/pharm/v1/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gojoe.de/api/pharm/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"environment": "live",
"pharmacies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"city": "<string>",
"scopes": [
"orders:read"
],
"courier_booking": "on_packed"
}
]
}{
"status": 123,
"code": "invalid_transition",
"detail": "<string>",
"request_id": "<string>",
"type": "<string>",
"title": "<string>"
}{
"status": 123,
"code": "invalid_transition",
"detail": "<string>",
"request_id": "<string>",
"type": "<string>",
"title": "<string>"
}Account
Get account and pharmacies
Returns the integration account of this key and its pharmacies. For each pharmacy, the response contains the scopes of the key and the courier booking setting. Use this endpoint to test the connection.
GET
/
me
Get account and pharmacies
curl --request GET \
--url https://gojoe.de/api/pharm/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://gojoe.de/api/pharm/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gojoe.de/api/pharm/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://gojoe.de/api/pharm/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gojoe.de/api/pharm/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gojoe.de/api/pharm/v1/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gojoe.de/api/pharm/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"environment": "live",
"pharmacies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"city": "<string>",
"scopes": [
"orders:read"
],
"courier_booking": "on_packed"
}
]
}{
"status": 123,
"code": "invalid_transition",
"detail": "<string>",
"request_id": "<string>",
"type": "<string>",
"title": "<string>"
}{
"status": 123,
"code": "invalid_transition",
"detail": "<string>",
"request_id": "<string>",
"type": "<string>",
"title": "<string>"
}Authorizations
Send your key in the Authorization header: Bearer gj_live_… in production, Bearer gj_test_… in the sandbox.